/*
 * IdentityNode.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package net.outer_planes.jso.x.disco;


import org.jabberstudio.jso.NSI;
import org.jabberstudio.jso.StreamDataFactory;
import org.jabberstudio.jso.StreamElement;
import org.jabberstudio.jso.StreamObject;
import org.jabberstudio.jso.util.Utilities;
import org.jabberstudio.jso.x.disco.DiscoIdentity;
import org.jabberstudio.jso.x.disco.DiscoUtilities;

import net.outer_planes.jso.ElementNode;

/**
 *
 * @author  linuxwolf
 * @version 0.13-DEV-20050624155226
 * @since   JSO-0.12
 */
public class IdentityNode extends ElementNode implements DiscoIdentity {
    //"Constants"
    public static final NSI     ATTRNAME_CATEGORY   = new NSI("category", null);
    public static final NSI     ATTRNAME_TYPE       = new NSI("type", null);
    
    //Constructors
    public IdentityNode(StreamDataFactory sdf) {
        super(sdf, NAME);
    }
    protected IdentityNode(StreamElement parent, IdentityNode base) {
        super(parent, base);
    }

    //Methods
    public String getCategory() {
        String  cat = getAttributeValue(ATTRNAME_CATEGORY);
        
        return (Utilities.isValidString(cat) ? cat : "");
    }
    public void setCategory(String cat) {
        setAttributeValue(ATTRNAME_CATEGORY, cat);
    }
    
    public String getType() {
        String  type = getAttributeValue(ATTRNAME_TYPE);
        
        return (Utilities.isValidString(type) ? type : "");
    }
    public void setType(String type) {
        setAttributeValue(ATTRNAME_TYPE, type);
    }
    
    public String getName() {
        String  name = getAttributeValue(DiscoUtilities.ATTRNAME_NAME);
        
        return (Utilities.isValidString(name) ? name : "");
    }
    public void setName(String name) {
        setAttributeValue(DiscoUtilities.ATTRNAME_NAME, name);
    }
    
    public StreamObject copy(StreamElement parent) {
        return new IdentityNode(parent, this);
    }
}