/*
 * JID.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package org.jabberstudio.jso;

/**
 * <p>
 * Exception thrown when a string representation fails to parse into a
 * valid <tt>JID</tt>.</p>
 *
 * @author  linuxwolf
 * @version 0.13-DEV-20050624155226
 * @since   JSO-0.12
 */
public class JIDFormatException extends IllegalArgumentException {
    //Constructors
    /**
     * <p>
     * Creates a new <tt>JIDFormatException</tt> object. This instance does not include
     * any messages.</p>
     *
     * @since   JSO-0.12
     */
    public JIDFormatException() {
        super();
    }
    /**
     * <p>
     * Creates a new <tt>JIDFormatException</tt> object with the given message.</p>
     *
     * <p>
     * The value of <tt>msg</tt> may be <tt>null</tt> or "".</p>
     *
     * @param msg The message for this <tt>JIDFormatException</tt>.
     * @since   JSO-0.12
     */
    public JIDFormatException(String msg) {
        super(msg);
    }
}