/*
 * BidirectionalException.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */


package org.jabberstudio.jso.util.stringprep;

/**
 * <p>
 * Exception for errors found in a string's bidirectionality. The {@link
 * StringprepProfile#prepare} method throws this exception if the string to
 * prepare does not conform to the bidirectionality constraints.</p>
 *
 * @author  linuxwolf
 * @version 0.13-DEV-20050624155226
 * @since   JSO-0.12.3
 */
public class BidirectionalException extends StringprepException {
    //Constructors
    /**
     * <p>
     * Creates a new <tt>BidirectionalException</tt> with no message.</p>
     *
     * @since   JSO-0.12.3
     */
    public BidirectionalException() {
        super();
    }
    /**
     * <p>
     * Creates a new <tt>BidirectionalException</tt> with the given message.</p>
     *
     * @param   msg The message for this <tt>BidirectionalException</tt>.
     * @since   JSO-0.12.3
     */
    public BidirectionalException(String msg) {
        super(msg);
    }
}